> For the complete documentation index, see [llms.txt](https://docs.cipp.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cipp.app/user-documentation/endpoint/mem/devices/device.md).

# View Device

This page will allow you to view in depth information on the device you selected from the [Devices](/user-documentation/identity/administration/devices.md) page.

## Page Actions

These page actions are nearly identical to the [Devices](/user-documentation/identity/administration/devices.md#table-actions) from the Devices page. Please see that reference for information on the actions and what they do.

## Device Quick View

* Device Name: This is a click-to-copy field to allow you to see the name of the selected device
* Device Id: This is a click-to-copy field to allow you to see the deviceId of the selected device
* Last Sync: The relative time since the device's last sync with Intune
* View in Intune: This will launch the Intune portal to the selected device. NOTE: To view the Intune portal, your user account - not the CIPP service account - will need rights through either direct assignment if the partner tenant or GDAP if a client tenant.

## Device Details

This card will output some basic information about the device and the information you can gather from Intune. This includes hardware details like manufacturer, model, serial number, etc. in addition to Intune compliance status, enrollment date, etc.

## Compliance Policies

These cards allow you to view the device's compliance to the applicable compliance policies. Each card can be expanded to see the setting being measured and the current state. Compliance will report on a pass, fail, unknown, or no policies status.

## Configuration Policies

These cards allow you to view the device's compliance to the applicable configuration policies. Each card can be expanded to see the setting being measured and the current state. Compliance will report on a pass, fail, unknown, or no policies status.

## Detected Applications

This card will display a list of the applications Intune has detected as installed on the computer.

## Associated Users

This card will display a list of the users associated with the device. The table has an action to View User that will allow you to jump to [View Individual User](/user-documentation/identity/administration/users/user.md) for the selected user.

## Memberships

This card will display a list of the groups the device is a member of.

***

## Feature Requests / Ideas

We value your feedback and ideas. Please raise any [feature requests](https://github.com/KelvinTegelaar/CIPP/issues/new?template=feature.yml) on GitHub.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cipp.app/user-documentation/endpoint/mem/devices/device.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
